[pisa-src] r1210 - trunk/tools/asus_flash.sh

  • From: Diego Biurrun <diego@xxxxxxxxxx>
  • To: pisa-src@xxxxxxxxxxxxx
  • Date: Thu, 15 Oct 2009 23:21:11 +0200

Author: biurrun
Date: Thu Oct 15 23:21:11 2009
New Revision: 1210

Log:
simple script to start TFTP server for flashing ASUS routers

Added:
   trunk/tools/asus_flash.sh   (contents, props changed)

Added: trunk/tools/asus_flash.sh
==============================================================================
--- /dev/null   00:00:00 1970   (empty, because file is newly added)
+++ trunk/tools/asus_flash.sh   Thu Oct 15 23:21:11 2009        (r1210)
@@ -0,0 +1,10 @@
+#!/bin/sh
+# small wrapper to simplify the command line necessary for flashing OpenWrt
+# images to ASUS WL-500W routers.
+
+if test "$1" = ""; then
+    echo "usage: $0 <image_file>"
+    exit 1
+fi
+
+atftp --trace --tftp-timeout 30 --option "timeout 1" --option "mode octet" 
--put --local-file "$1" 192.168.1.1

Other related posts:

  • » [pisa-src] r1210 - trunk/tools/asus_flash.sh - Diego Biurrun